//--------------------------------------------------------------------------------------
// 头文件: D3DEnvClass.h ， 作者：曾凡喜
//
// 封装了D3D环境类，封装了D3D设备初始化和释放相关代码
//
// 版权归作者所有，未经允许不得利用源代码进行任何商业活动
//
// 完成时间：2007-10-31
//--------------------------------------------------------------------------------------
#pragma once

class CZFXD3DEnv
{
public:
	CZFXD3DEnv(void);
	~CZFXD3DEnv(void);

public:
	// D3D对象接口
	IDirect3D9* m_pD3D;        
	// D3D设备接口
	IDirect3DDevice9* m_pd3dDevice;          
	// 填充D3DPRESENT_PARAMETERS结构体
	D3DPRESENT_PARAMETERS m_d3dpp;

public:
	HRESULT InitD3D(BOOL bWindowed, HWND hWnd);  // D3D初始化
	void Release();   // D3D设备释放
	void MakeSureNotLost();  // 确信设备未丢失，如果丢失，函数会完成重置设备功能
};
